Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162294 - Missing trigger on rhnErrata
Summary: Missing trigger on rhnErrata
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Slagle
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-02 00:49 UTC by Mike McCune
Modified: 2007-10-24 02:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-05 20:43:25 UTC


Attachments (Terms of Use)

Description Mike McCune 2005-07-02 00:49:51 UTC
Recently something changed in the sat schema and we no longer seem to have a
trigger to automatically insert sysdate on RHNERRATA.LAST_MODIFIED.

This is causing a ton of the sat unit tests to fail and is inconsistent with the
other tables in our schema.

Comment 1 James Slagle 2005-07-05 20:43:25 UTC
A not null constraint was added to the last_modified column:

alter table rhnErrata modify ( last_modified constraint rhn_errata_last_mod_nn
not null );


Note You need to log in before you can comment on or make changes to this bug.